=== modified file 'configure'
--- configure	2009-08-27 21:30:27 +0000
+++ configure	2009-09-04 11:46:25 +0000
@@ -2730,7 +2730,7 @@
 
 # Define the identity of the package.
  PACKAGE=indicator-session
- VERSION=0.1
+ VERSION=0.1.1
 
 
 cat >>confdefs.h <<_ACEOF
@@ -11250,7 +11250,7 @@
 
 GTK_REQUIRED_VERSION=2.12
 INDICATOR_REQUIRED_VERSION=0.2.0
-DBUSMENUGTK_REQUIRED_VERSION=0.1.0
+DBUSMENUGTK_REQUIRED_VERSION=0.1.1
 
 
 
@@ -11479,7 +11479,7 @@
 
 
 
-DBUSMENUGLIB_REQUIRED_VERSION=0.0.0
+DBUSMENUGLIB_REQUIRED_VERSION=0.1.1
 
 
 pkg_failed=no

=== modified file 'configure.ac'
--- configure.ac	2009-08-27 21:30:27 +0000
+++ configure.ac	2009-09-04 11:46:25 +0000
@@ -4,7 +4,7 @@
 AC_PREREQ(2.53)
 
 AM_CONFIG_HEADER(config.h)
-AM_INIT_AUTOMAKE(indicator-session, 0.1)
+AM_INIT_AUTOMAKE(indicator-session, 0.1.1)
 
 AM_MAINTAINER_MODE
 
@@ -25,7 +25,7 @@
 
 GTK_REQUIRED_VERSION=2.12
 INDICATOR_REQUIRED_VERSION=0.2.0
-DBUSMENUGTK_REQUIRED_VERSION=0.1.0
+DBUSMENUGTK_REQUIRED_VERSION=0.1.1
 
 PKG_CHECK_MODULES(APPLET, gtk+-2.0 >= $GTK_REQUIRED_VERSION
                           indicator >= $INDICATOR_REQUIRED_VERSION
@@ -33,7 +33,7 @@
 AC_SUBST(APPLET_CFLAGS)
 AC_SUBST(APPLET_LIBS)
 
-DBUSMENUGLIB_REQUIRED_VERSION=0.0.0
+DBUSMENUGLIB_REQUIRED_VERSION=0.1.1
 
 PKG_CHECK_MODULES(STATUSSERVICE, dbusmenu-glib >= $DBUSMENUGLIB_REQUIRED_VERSION)
 

=== modified file 'src/session-service.c'
--- src/session-service.c	2009-08-25 11:49:56 +0000
+++ src/session-service.c	2009-09-04 11:46:25 +0000
@@ -82,7 +82,7 @@
 	g_debug("Got Suspend: %s", g_value_get_boolean(&candoit) ? "true" : "false");
 
 	if (suspend_mi != NULL) {
-		dbusmenu_menuitem_property_set(suspend_mi, "visible", g_value_get_boolean(&candoit) ? "true" : "false");
+		dbusmenu_menuitem_property_set(suspend_mi, DBUSMENU_MENUITEM_PROP_VISIBLE, g_value_get_boolean(&candoit) ? "true" : "false");
 	}
 
 	return;
@@ -105,7 +105,7 @@
 	g_debug("Got Hibernate: %s", g_value_get_boolean(&candoit) ? "true" : "false");
 
 	if (suspend_mi != NULL) {
-		dbusmenu_menuitem_property_set(hibernate_mi, "visible", g_value_get_boolean(&candoit) ? "true" : "false");
+		dbusmenu_menuitem_property_set(hibernate_mi, DBUSMENU_MENUITEM_PROP_VISIBLE, g_value_get_boolean(&candoit) ? "true" : "false");
 	}
 
 	return;
@@ -223,29 +223,29 @@
 	DbusmenuMenuitem * mi = NULL;
 
 	mi = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(mi, "label", _("Log Out"));
+	dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Log Out"));
 	dbusmenu_menuitem_child_append(root, mi);
 	g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(show_dialog), "logout");
 
 	suspend_mi = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(suspend_mi, "visible", "false");
-	dbusmenu_menuitem_property_set(suspend_mi, "label", _("Suspend"));
+	dbusmenu_menuitem_property_set(suspend_mi, DBUSMENU_MENUITEM_PROP_VISIBLE, "false");
+	dbusmenu_menuitem_property_set(suspend_mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Suspend"));
 	dbusmenu_menuitem_child_append(root, suspend_mi);
 	g_signal_connect(G_OBJECT(suspend_mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(sleep), "Suspend");
 
 	hibernate_mi = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(hibernate_mi, "visible", "false");
-	dbusmenu_menuitem_property_set(hibernate_mi, "label", _("Hibernate"));
+	dbusmenu_menuitem_property_set(hibernate_mi, DBUSMENU_MENUITEM_PROP_VISIBLE, "false");
+	dbusmenu_menuitem_property_set(hibernate_mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Hibernate"));
 	dbusmenu_menuitem_child_append(root, hibernate_mi);
 	g_signal_connect(G_OBJECT(hibernate_mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(sleep), "Hibernate");
 
 	mi = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(mi, "label", _("Restart"));
+	dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Restart"));
 	dbusmenu_menuitem_child_append(root, mi);
 	g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(show_dialog), "restart");
 
 	mi = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(mi, "label", _("Shutdown"));
+	dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Shutdown"));
 	dbusmenu_menuitem_child_append(root, mi);
 	g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(show_dialog), "shutdown");
 

=== modified file 'src/status-service.c'
--- src/status-service.c	2009-08-27 21:30:27 +0000
+++ src/status-service.c	2009-09-04 11:46:25 +0000
@@ -30,6 +30,7 @@
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-bindings.h>
 
+#include <libdbusmenu-glib/client.h>
 #include <libdbusmenu-glib/server.h>
 #include <libdbusmenu-glib/menuitem.h>
 
@@ -88,7 +89,7 @@
 	if (global_status != oldglobal) {
 		g_debug("Global status changed to: %s", _(status_strings[global_status]));
 
-		dbusmenu_menuitem_property_set(status_menuitem, "label", _(status_strings[global_status]));
+		dbusmenu_menuitem_property_set(status_menuitem, DBUSMENU_MENUITEM_PROP_LABEL, _(status_strings[global_status]));
 		status_service_dbus_set_status(dbus_interface, status_icons[global_status]);
 	}
 
@@ -165,10 +166,12 @@
 		while (*walker != '\0' && *walker != ',') { walker++; }
 		*walker = '\0';
 
-		DbusmenuMenuitem * useritem = dbusmenu_menuitem_new();
-		dbusmenu_menuitem_property_set(useritem, "label", name);
-		dbusmenu_menuitem_property_set(useritem, "sensitive", "false");
-		dbusmenu_menuitem_child_append(root, useritem);
+		if (name[0] != '\0') {
+			DbusmenuMenuitem * useritem = dbusmenu_menuitem_new();
+			dbusmenu_menuitem_property_set(useritem, DBUSMENU_MENUITEM_PROP_LABEL, name);
+			dbusmenu_menuitem_property_set(useritem, DBUSMENU_MENUITEM_PROP_SENSITIVE, "false");
+			dbusmenu_menuitem_child_append(root, useritem);
+		}
 
 		g_free(name);
 	} else {
@@ -187,15 +190,16 @@
 	build_user_item(root);
 
 	status_menuitem = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(status_menuitem, "label", _(status_strings[global_status]));
+	dbusmenu_menuitem_property_set(status_menuitem, DBUSMENU_MENUITEM_PROP_LABEL, _(status_strings[global_status]));
 	dbusmenu_menuitem_child_append(root, status_menuitem);
 
 	StatusProviderStatus i;
 	for (i = STATUS_PROVIDER_STATUS_ONLINE; i < STATUS_PROVIDER_STATUS_LAST; i++) {
 		DbusmenuMenuitem * mi = dbusmenu_menuitem_new();
 
-		dbusmenu_menuitem_property_set(mi, "label", _(status_strings[i]));
-		dbusmenu_menuitem_property_set(mi, "icon", status_icons[i]);
+		dbusmenu_menuitem_property_set(mi, "type", DBUSMENU_CLIENT_TYPES_IMAGE);
+		dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _(status_strings[i]));
+		dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_ICON, status_icons[i]);
 		g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(status_menu_click), GINT_TO_POINTER(i));
 
 		dbusmenu_menuitem_child_append(status_menuitem, mi);
@@ -204,7 +208,7 @@
 	}
 
 	DbusmenuMenuitem * mi = dbusmenu_menuitem_new();
-	dbusmenu_menuitem_property_set(mi, "label", _("Lock Screen"));
+	dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Lock Screen"));
 	g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(lock_screen), GINT_TO_POINTER(i));
 	dbusmenu_menuitem_child_append(root, mi);
 

=== modified file 'src/users-service.c'
--- src/users-service.c	2009-08-25 11:49:56 +0000
+++ src/users-service.c	2009-09-04 11:46:25 +0000
@@ -113,14 +113,14 @@
 
 	if (check_guest_session()) {
 		mi = dbusmenu_menuitem_new();
-		dbusmenu_menuitem_property_set(mi, "label", _("Guest Session"));
+		dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _("Guest Session"));
 		dbusmenu_menuitem_child_append(root, mi);
 		g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(activate_guest_session), NULL);
 	}
 
 	if (check_new_session()) {
 		mi = dbusmenu_menuitem_new();
-		dbusmenu_menuitem_property_set(mi, "label", _("New Session..."));
+		dbusmenu_menuitem_property_set(mi, DBUSMENU_MENUITEM_PROP_LABEL, _("New Session..."));
 		dbusmenu_menuitem_child_append(root, mi);
 		g_signal_connect(G_OBJECT(mi), DBUSMENU_MENUITEM_SIGNAL_ITEM_ACTIVATED, G_CALLBACK(activate_new_session), NULL);
 	}

